Skip to main content
GET
/
orders
/
{id}
Get order by ID
curl --request GET \
  --url https://integrations.clopos.com/open-api/v2/orders/{id} \
  --header 'x-token: <api-key>'
{
  "success": true,
  "message": "Order created",
  "data": {
    "status": "PENDING",
    "payload": {
      "updated_at": "2026-01-08T06:28:23.000000Z",
      "created_at": "2026-01-08T06:28:23.000000Z",
      "id": 295,
      "venue_id": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.clopos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Path Parameters

id
string
required

Order ID

Query Parameters

with[0]
string

Include related resources. Supported: receipt:id,service_notification_id,status

Response

Order retrieved successfully

success
boolean
message
string
data
object